libzypp 17.37.10

VendorSupportOptions.h File Reference
`#include <string>`
`#include <zypp/base/Flags.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Enumerations
enum | zypp::VendorSupportOption { zypp::VendorSupportUnknown = 0 , zypp::VendorSupportUnsupported = (1<<0) , zypp::VendorSupportACC = (1<<1) , zypp::VendorSupportLevel1 = (1<<2) , zypp::VendorSupportLevel2 = (1<<3) , zypp::VendorSupportLevel3 = (1<<4) , zypp::VendorSupportSuperseded = (1<<5) }

## Functions
| zypp::ZYPP_DECLARE_FLAGS (VendorSupportOptions, VendorSupportOption)
std::string | zypp::asUserString (VendorSupportOption) ZYPP_API
| converts the support option to a name intended to be printed to the user.
std::string | zypp::asUserStringDescription (VendorSupportOption) ZYPP_API
| converts the support option to a description intended to be printed to the user.